package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.AmsSaleOrderCarrier;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface AmsSaleOrderCarrierMapper extends IBaseMapper<AmsSaleOrderCarrier, BigDecimal> {
    //查询主键最大值
    @Select("select seq__SALE_ORDER_CARRIER.nextval from dual")
    BigDecimal selectMaxId();

    AmsSaleOrderCarrier getAmsSaleOrderCarrier(Map<String,Integer> map);
}