package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.AmsSalePlanMaterial;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface AmsSalePlanMaterialMapper extends IBaseMapper<AmsSalePlanMaterial, BigDecimal> {
    //获取销售计划物资信息
    List<Map<String, Object>> getSalePlanMaterialInfo(Map<String,Object> map);
    //查询主键最大值
    BigDecimal selectMaxId();
    //获得要渲染的数据
    List<Map<String, Object>> selectByPlanMaterialId(BigDecimal planMaterialId);
}