package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.AmstruckPurplan;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface AmstruckPurplanMapper extends IBaseMapper<AmstruckPurplan, BigDecimal> {

    //查询所有运输计划
    List<Map<String, Object>> getAllPurPlan(Map<String, Object> map);

    //新增运输计划
    int insertSelective(AmstruckPurplan amstruckPurplan);

    //查询最大ID值
    @Select("select seq_amstruck_purplan.nextval from dual")
    BigDecimal selectMaxId();

    //通过ID查询运输计划
    List<Map<String, Object>> getPurPlanById(@Param("planId") Integer planId);

    //修改运输计划
    int updateByPrimaryKeySelective(AmstruckPurplan amstruckPurplan);

}