package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.AmstruckSporadicMaterial;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface AmstruckSporadicMaterialMapper extends IBaseMapper<AmstruckSporadicMaterial, BigDecimal> {
    //设置主键id
    @Select("select seq_AMSTRUCK_SPORADIC_MATERIAL.nextval from dual")
    BigDecimal getSporadicMaterial();

    List<Map<String, Object>> getSporadicOrdersList2(Map<String, Object> mapValue);

     // 查询承运商不为空的零星物资
    List<Map<String,Object>> getSporadicOrdersList3(Map<String,Object> map);

    List<Map<String,Object>> getSporadicOrdersList4(Map<String,Object> mapValue);

    List<Map<String,Object>> getSporadic(Integer sporadicId);

    List<Map<String, Object>> getSporadicOfOrder(Map<String,Object> mapValue);

}