package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmstruckLoadResult;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

@Mapper
public interface TmstruckLoadResultMapper extends IBaseMapper<TmstruckLoadResult, BigDecimal> {


    //查询最大ID值
    @Select("select seq_tmstruck_load_result.nextval from dual")
    BigDecimal selectMaxId();


}