package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmstruckTotalResult;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface TmstruckTotalResultMapper extends IBaseMapper<TmstruckTotalResult, BigDecimal> {
    //生成主键id
    @Select("select seq_tmstruck_total_result.nextval from dual")
    BigDecimal selectTmstruckTotalResultId();
}