package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmstruckWeightResult;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface TmstruckWeightResultMapper extends IBaseMapper<TmstruckWeightResult, Short> {
    //查询最大主键Id
    @Select("select seq_tmstruck_weight_result.nextval from dual")
    BigDecimal selectMaxId();


    @Select("select seq__WMSP_OUTBOUND_RESUL_TMATRIAL.nextval from dual")
    BigDecimal getOutBoundMaterialMaxId();

}