package com.steerinfo.dil.service;

import com.steerinfo.dil.model.AmsContractOtherPrice;
import com.steerinfo.dil.model.AmsContractTrainPrice;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/9/27 9:08
 * @Version:V2.0
 */
public interface IAmsContractOtherPriceService {
    /**
     * 展示港口装卸费列表
     * @param mapValue
     * @return
     */
    List<Map<String, Object>> getLoadUnloadPriceList(Map<String, Object> mapValue);

    /**
     * 新增
     * @param amsContractOtherPrice
     * @return
     */
    int insert(AmsContractOtherPrice amsContractOtherPrice);

    /**
     * 逻辑删除
     * @param priceId
     * @return
     */
    int delete(BigDecimal priceId);

    /**
     * 修改
     * @param amsContractOtherPrice
     * @return
     */
    int updateByPrimaryKeySelective(AmsContractOtherPrice amsContractOtherPrice);

    /**
     * 查询修改渲染
     * @param priceId
     * @return
     */
    List<Map<String, Object>> selectLoadUnloadPriceToUpdate(BigDecimal priceId);

    /**
     * 得到最大id
     * @return
     */
    BigDecimal selectMaxId();
}
