package com.steerinfo.dil.service;

import com.steerinfo.dil.model.AmsSalePlan;
import com.steerinfo.dil.model.AmsSalePlanMaterial;
import com.steerinfo.framework.service.IBaseService;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * AmsSalePlanMaterial服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-11-16 10:12
 * 类描述
 * 修订历史：
 * 日期：2021-11-16
 * 作者：generator
 * 参考：
 * 描述：AmsSalePlanMaterial服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IAmsSalePlanMaterialService{
    //获取销售计划物资信息
    List<Map<String, Object>> getSalePlanMaterialInfo(Map<String,Object> map);
    //新增销售订单物资信息
    int addAmsSalePlanMaterial(AmsSalePlanMaterial amsSalePlanMaterial);
    //删除销售订单物资信息
    int deleteAmsSalePlanMaterial(BigDecimal planMaterialId);
    //获得要渲染的数据
    List<Map<String, Object>> selectByPlanMaterialId(BigDecimal planMaterialId);
    //修改销售计划物资信息
    int upadteAmsSalePlanMaterial(AmsSalePlanMaterial amsSalePlanMaterial);

}