package com.steerinfo.dil.service;

import com.steerinfo.dil.model.AmstruckInwardRequirement;
import com.steerinfo.framework.service.IBaseService;
import org.springframework.transaction.annotation.Transactional;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * AmstruckInwardRequirement服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-25 11:30
 * 类描述
 * 修订历史：
 * 日期：2021-10-25
 * 作者：generator
 * 参考：
 * 描述：AmstruckInwardRequirement服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IAmstruckInwardRequirementService extends IBaseService<AmstruckInwardRequirement, BigDecimal> {

    int insert(Map<String,Object> mapValue);

    List<Map<String, Object>> getTruckRequirementList(Map<String, Object> mapValue);

    int deleteTruckRequirement(BigDecimal requirementId);

    int updateTruckRequirement(AmstruckInwardRequirement amstruckInwardRequirement);

    List<Map<String, Object>> selectRequirement(Integer requirementId);

    int downRequirement(List<Map<String,Object>> requirementIds);

    int receiveRequirement(Integer requirementId);

    List<Map<String, Object>> getPurchaseIdByBatch(Map<String, Object> mapValue);

    List<Map<String, Object>> getCapacityType();

    List<Map<String, Object>> getShipperUser();

    List<Map<String, Object>> getWareHouse(Map<String, Object> mapValue);

    //异地库下拉框
    List<Map<String, Object>> getOffsetWareHouse();

    //新增采购内转需求
    int insertPurInwardRequirement(Map<String, Object> mapValue);

    //查询采购内转需求
    List<Map<String, Object>> getPurRequirementList(Map<String, Object> mapValue);

    //查询纯内转需求
    List<Map<String,Object>> getRequirementMaterial(Integer requirementId);

//    int insertInwardRequirementPlan(Map<String, Object> mapValue);
}