package com.steerinfo.dil.service;

import com.steerinfo.dil.model.AmstruckPurplan;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * AmstruckPurplan服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-09-02 10:38
 * 类描述
 * 修订历史：
 * 日期：2021-09-02
 * 作者：generator
 * 参考：
 * 描述：AmstruckPurplan服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IAmstruckPurplanService{
    //查询所有运输计划
    List<Map<String, Object>> getAllPurPlan(Map<String, Object> map);

    //通过ID查询运输计划
    List<Map<String, Object>> getPurPlanById(@Param("planId") Integer planId);

    //新增运输计划
    int addPurPlan(AmstruckPurplan amstruckPurplan);

    //修改运输计划
    int updatePurPlan(AmstruckPurplan amstruckPurplan);

    //逻辑删除运输计划
    int deletePurPlan(AmstruckPurplan amstruckPurplan);

    //下发运输计划
    int sendPurPlan(AmstruckPurplan amstruckPurplan);

    //下发运输计划
    int receptionPurPlan(AmstruckPurplan amstruckPurplan);
}