package com.steerinfo.dil.service;


import com.steerinfo.dil.model.AmstruckRailDayplan;
import com.steerinfo.framework.service.IBaseService;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * AmstruckRailDayplan服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-16 02:43
 * 类描述
 * 修订历史：
 * 日期：2021-10-16
 * 作者：generator
 * 参考：
 * 描述：AmstruckRailDayplan服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IAmstruckRailDayplanService extends IBaseService<AmstruckRailDayplan, BigDecimal> {
    /**
     * 得到最大id
     * @return
     */
    BigDecimal selectMaxId();

    List<Map<String, Object>> getTruckRailDayPlan(Map<String, Object> mapValue);

    int insert(AmstruckRailDayplan amstruckRailDayplan);

    List<Map<String, Object>> getSzTruckRailDayPlan(Map<String, Object> mapValue);

    AmstruckRailDayplan selectByDayPlanId(Integer dayplanId);

    //查询所有到站信息
    List<Map<String, Object>> getArriveName();

    //通过发运计划Id查询修改信息
    List<Map<String, Object>> getDayPlanByDayPlanId(Integer dayplanId);
}