package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.AmstruckRequirementPlanMapper;
import com.steerinfo.dil.model.AmstruckRequirementPlan;
import com.steerinfo.dil.service.IAmstruckRequirementPlanService;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Date;

/**
 * AmstruckRequirementPlan服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-30 03:41
 * 类描述
 * 修订历史：
 * 日期：2021-10-30
 * 作者：generator
 * 参考：
 * 描述：AmstruckRequirementPlan服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "amstruckRequirementPlanService")
public class AmstruckRequirementPlanServiceImpl extends BaseServiceImpl<AmstruckRequirementPlan, BigDecimal> implements IAmstruckRequirementPlanService {

    @Autowired
    private AmstruckRequirementPlanMapper amstruckRequirementPlanMapper;

    @Override
    protected IBaseMapper<AmstruckRequirementPlan, BigDecimal> getMapper() {
        return amstruckRequirementPlanMapper;
    }

    @Override
    public int insert(BigDecimal requirementId, BigDecimal planId) {
        AmstruckRequirementPlan amstruckRequirementPlan=new AmstruckRequirementPlan();
        amstruckRequirementPlan.setRequirementPlanId(amstruckRequirementPlanMapper.selectOtherId());
        amstruckRequirementPlan.setRequirementId(requirementId);
        amstruckRequirementPlan.setPlanId(planId);
        amstruckRequirementPlan.setInsertTime(new Date());
        amstruckRequirementPlan.setInsertUsername("admin");
        return amstruckRequirementPlanMapper.insertSelective(amstruckRequirementPlan);
    }
}
