package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.IAmstruckPurplanMaterialService;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.framework.controller.RESTfulResult;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * @ author    :TXF
 * @ time      :2021/10/27 14:08
 */

@RestController
@RequestMapping("/${api.version}/amstruckpurplanmaterial")
public class AmstruckPurplanMaterialController extends BaseRESTfulController {

    @Autowired
    IAmstruckPurplanMaterialService amstruckPurplanMaterialService;

    @ApiOperation(value="更改计划子表重量")
    @PostMapping("/updateMaterial")
    public RESTfulResult updateMaterial(@RequestBody(required = false) Map<String, Object> map){
        amstruckPurplanMaterialService.updateMaterial(map);
        return success(1);
    }
}
