package com.steerinfo.dil.feign;

import com.steerinfo.dil.util.PageListAdd;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

/**
 * @Author zhangnan
 * @Date 2021/7/27 15:49
 * @Version 1.0
 */

@FeignClient(value = "DIL-ES-DEV",url = "172.16.33.161:8089/api/v1/es")
public interface ESFeign {
    @PostMapping("getConResult")
    PageListAdd getConResult(@RequestBody(required = false) Map<String, Object> mapValue,
                             @RequestParam String index,
                             @RequestParam Integer apiId,
                             @RequestParam Integer pageNum,
                             @RequestParam Integer pageSize,
                             @RequestParam String con);

    @PostMapping( value = "insertIndex",consumes = "application/json", produces = "application/json")
    void insertIndex(@RequestBody List<Map<String, Object>> detailListTotal);
}
