package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.AmstruckInwardPlan;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface AmstruckInwardPlanMapper extends IBaseMapper<AmstruckInwardPlan, BigDecimal> {
    @Select("select seq_inward_plan.nextval from dual")
    BigDecimal selectOtherId();
    //展示运输计划
    List<Map<String, Object>> getTruckPlanList(Map<String, Object> mapValue);

    // 查询修改渲染
    List<Map<String, Object>> selectInwardPlanToUpdate(BigDecimal planId);

    List<Map<String, Object>> getCarrierList();

    List<Map<String, Object>> getIssuedPlanList(Map<String, Object> mapValue);

    List<Map<String, Object>> getIssuedPlanList2(Map<String, Object> mapValue);

    List<Map<String, Object>> getPlanOrder(Map<String, Object> mapValue);

}