package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsReceivePlace;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface RmsReceivePlaceMapper extends IBaseMapper<RmsReceivePlace, BigDecimal> {
    // 得到具体地址主键id
    BigDecimal getPlaceId(Map<String,Object> mapValue);

    @Select("select seq_RMS_RECEIVE_PLACE.nextval from dual")
    BigDecimal selectMaxId();
}