package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.WmspOutboundResultMaterial;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

@Mapper
public interface WmspOutboundResultMaterialMapper extends IBaseMapper<WmspOutboundResultMaterial, BigDecimal> {

    @Select("select ${seqName}.nextval from dual")
    BigDecimal getSeqNumber(@Param("seqName") String seqName);
}