package com.steerinfo.dil.service;

import com.steerinfo.dil.model.AmsContractTrainPrice;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/9/13 19:56
 * @Version:V2.0
 */
public interface IAmsContractTrainPriceService {

    /**
     * 得到最大id
     * @return
     */
    BigDecimal selectMaxId();

    /**
     * 展示所有火运单价信息
     * @param mapValue
     * @return
     */
    List<Map<String,Object>> getTrainPriceList(Map<String,Object> mapValue);

//    /**
//     * 得到修改渲染
//     * @param priceId
//     * @return
//     */
//    List<Map<String,Object>> selectPriceToUpdate(BigDecimal priceId);

    /**
     * 新增
     * @param amsContractTrainPrice
     * @return
     */
    int insert(AmsContractTrainPrice amsContractTrainPrice);

    /**
     * 修改
     * @param priceId
     * @return
     */
    int delete(BigDecimal priceId);

    /**
     * 得到修改渲染的数据
     * @param priceId
     * @return
     */
    List<Map<String,Object>> selectTrainPriceToUpdate(BigDecimal priceId);

    /**
     * 修改
     * @param amsContractTrainPrice
     * @return
     */
    int updateByPrimaryKeySelective(AmsContractTrainPrice amsContractTrainPrice);
}
