package com.steerinfo.dil.service;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/9/3 9:03
 * @Version:V2.0
 */
public interface IAmsPurchaseOrderService {

    /**
     * 展示所有采购订单信息
     * @param mapValue
     * @return
     */
    List<Map<String,Object>> getPurchaseOrderList(Map<String,Object> mapValue);

    /**
     * 得到最大id
     * @return
     */
    BigDecimal selectMaxId();

    List<Map<String, Object>> getAppPurchaseOrderList(Integer carrierId);
}
