package com.steerinfo.dil.service;


import com.steerinfo.dil.model.AmsRailOffsetDayplan;
import com.steerinfo.framework.service.IBaseService;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * AmsRailOffsetDayplan服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-16 04:17
 * 类描述
 * 修订历史：
 * 日期：2021-10-16
 * 作者：generator
 * 参考：
 * 描述：AmsRailOffsetDayplan服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IAmsRailOffsetDayplanService extends IBaseService<AmsRailOffsetDayplan, BigDecimal> {
    /**
     * 得到最大id
     * @return
     */
    BigDecimal selectMaxId();

    List<Map<String, Object>> getRailOffsetDayplan(Map<String, Object> mapValue);
    //新增钢材发往异地库日计划
    int insert(Map<String,Object> mapValue);

    //修改钢材发往异地库日计划
    int update(AmsRailOffsetDayplan amsRailOffsetDayplan);

    // 删除钢材发往异地库日计划
    int deleteTruckRailDayPlan(BigDecimal dayplanId);

    // 下发钢材发往异地库日计划
    int issueRailOffsetDayplan(List<Map<String, Object>> mapList);

    // 通过发运计划主键查询关联所有物资信息
    List<Map<String, Object>> getMaterialMesByDayPlanId(Map<String, Object> mapValue);

    // 接收钢材发往异地库计划
    int receiveRailOffsetDayplan(Integer dayplanId);

    // 到站下拉框
    List<Map<String, Object>> getdayPlanToTheStationId();

    List<Map<String, Object>> getRailOffsetDayplanId(Map<String, Object> mapValue);
}