package com.steerinfo.dil.service;

import com.steerinfo.dil.model.AmsSalePlan;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * AmsSalePlan服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-09-06 07:10
 * 类描述
 * 修订历史：
 * 日期：2021-09-06
 * 作者：generator
 * 参考：
 * 描述：AmsSalePlan服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IAmsSalePlanService{
    //查询所有销售计划信息
    List<Map<String, Object>> getSalePlanInfo(Map<String,Object> map);
    //新增销售计划
    int addAmsSalePlan(Map<String, Object> map) throws Exception;
    //获得物资编码
    List<Map<String, Object>> getMaterialName();
    //获得销售片区名称
    List<Map<String, Object>> getAreaName();
    //获得要渲染的数据
    List<Map<String, Object>> selectByPlanId(BigDecimal planId);
    //修改销售计划
    int updateAmsSalePlan(AmsSalePlan amsSalePlan);
    //删除销售计划
    int deleteAmsSalePlan(BigDecimal planId);

    //查询所有的钢材物资
    List<Map<String, Object>> getAllSteelMaterialMes(Map<String, Object> map);
}