package com.steerinfo.dil.service;

import com.steerinfo.dil.model.AmsSaleOrderMaterial;
import com.steerinfo.dil.model.AmsSaleTrucknoMaterial;
import com.steerinfo.framework.service.IBaseService;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * AmsSaleTrucknoMaterial服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-11-16 10:12
 * 类描述
 * 修订历史：
 * 日期：2021-11-16
 * 作者：generator
 * 参考：
 * 描述：AmsSaleTrucknoMaterial服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IAmsSaleTrucknoMaterialService{
    //根据车序号中间表主键查询车序号详细信息
    List<Map<String, Object>> getTruckNoDetail(Map<String,Object> map);
    //新增车序号物资信息
    int addAmsSaleTrucknoMaterial(AmsSaleTrucknoMaterial amsSaleTrucknoMaterial);
    //通过主键删除车序号物资信息
    int deleteAmsSaleTrucknoMaterial(BigDecimal saleOrderMaterialId);
    //获取要渲染的值
    List<Map<String, Object>> getAmsSaleTrucknoMaterial(BigDecimal trucknoMaterialId);
    //修改车序号物资信息
    int updateAmsSaleTrucknoMaterial(AmsSaleTrucknoMaterial amsSaleTrucknoMaterial);


}