package com.steerinfo.dil.service;

import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * AmstruckSporadicOrder服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-12-16 02:49
 * 类描述
 * 修订历史：
 * 日期：2021-12-16
 * 作者：generator
 * 参考：
 * 描述：AmstruckSporadicOrder服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IAmstruckSporadicOrderService {

    // 新增零星物资进出厂（以及销售钢材退货）
    int addSporadicOrders(Map<String, Object> mapValue);

    // 下发零星物资订单
    int issueSporadicOrders(List<Map<String, Object>> mapList);

    // 逻辑删除零星物资订单
    int deleteSporadicOrders(Integer sporadicOrderId);

    //新增零星订单一车多趟
    int addSporadicOrdersForCoke(Map<String,Object> map);

    // 添加零星物资
    int addSporadicOrder(Map<String,Object> map);

    //添加内转零星物资
    int addInwardSporadicOrder(Map<String,Object> map);

    // 查询零星物资订单列表
    List<Map<String, Object>> getSporadicOrdersList(Map<String, Object> mapValue);

    // 查询物资详情
    List<Map<String, Object>> seeAllMaterials(Map<String,Object> mapValue);

    // 修改零星物资订单
    int updateSporadicOrder(Map<String, Object> mapValue);

    // 查询修改渲染
    List<Map<String, Object>> selectSporadicOrder(Integer sporadicOrderId);

    //一车多趟运输顶单排车
    int addSporadicOrderforTimes(Map<String,Object> map);

//    //普通零星停止
//    int closeSporadicOrderInward(Map<String,Object> map);
//
//    //一车多趟停止
//    int closeSporadicOrder(Map<String,Object> map);

    //停止
    int closeSporadic(Map<String,Object> map);

    List<Map<String,Object>> getSporadic(Integer sporadicId);

    List<Map<String,Object>> getSporadicOfOrder(Map<String,Object> mapValue);

}